Index: NEMO/branches/2020/dev_12905_xios_restart/src/OCE/ZDF/zdfosm.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/OCE/ZDF/zdfosm.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/OCE/ZDF/zdfosm.F90	(revision 13871)
@@ -1467,8 +1467,8 @@
      !!-----------------------------------------------------------------------------
      IF( TRIM(cdrw) == 'READ'.AND. ln_rstart) THEN
-        IF( lroxios ) CALL iom_swap( TRIM(crxios_context) )
+        IF( lrxios ) CALL iom_swap( TRIM(cr_ocerst_cxt) )
         id1 = iom_varid( numror, 'wn'   , ldstop = .FALSE. )
         IF( id1 > 0 ) THEN                       ! 'wn' exists; read
-           CALL iom_get( numror, jpdom_auto, 'wn', ww, ldxios = lroxios )
+           CALL iom_get( numror, jpdom_auto, 'wn', ww, ldxios = lrxios )
            WRITE(numout,*) ' ===>>>> :  ww read from restart file'
         ELSE
@@ -1479,13 +1479,13 @@
         id2 = iom_varid( numror, 'hbli'   , ldstop = .FALSE. )
         IF( id1 > 0 .AND. id2 > 0) THEN                       ! 'hbl' exists; read and return
-           CALL iom_get( numror, jpdom_auto, 'hbl' , hbl , ldxios = lroxios )
-           CALL iom_get( numror, jpdom_auto, 'hbli', hbli, ldxios = lroxios  )
+           CALL iom_get( numror, jpdom_auto, 'hbl' , hbl , ldxios = lrxios )
+           CALL iom_get( numror, jpdom_auto, 'hbli', hbli, ldxios = lrxios  )
            WRITE(numout,*) ' ===>>>> :  hbl & hbli read from restart file'
-           IF( lroxios ) CALL iom_swap( TRIM(cxios_context) )
+           IF( lrxios ) CALL iom_swap( TRIM(cxios_context) )
            RETURN
         ELSE                      ! 'hbl' & 'hbli' not in restart file, recalculate
            WRITE(numout,*) ' ===>>>> : previous run without osmosis scheme, hbl computed from stratification'
         END IF
-        IF( lroxios ) CALL iom_swap( TRIM(cxios_context) )
+        IF( lrxios ) CALL iom_swap( TRIM(cxios_context) )
      END IF
 
Index: NEMO/branches/2020/dev_12905_xios_restart/src/OCE/ZDF/zdfric.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/OCE/ZDF/zdfric.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/OCE/ZDF/zdfric.F90	(revision 13871)
@@ -206,13 +206,13 @@
          !           !* Read the restart file
          IF( ln_rstart ) THEN
-            IF( lroxios ) CALL iom_swap( TRIM(crxios_context) )
+            IF( lrxios ) CALL iom_swap( TRIM(cr_ocerst_cxt) )
             id1 = iom_varid( numror, 'avt_k', ldstop = .FALSE. )
             id2 = iom_varid( numror, 'avm_k', ldstop = .FALSE. )
             !
             IF( MIN( id1, id2 ) > 0 ) THEN         ! restart exists => read it
-               CALL iom_get( numror, jpdom_auto, 'avt_k', avt_k, ldxios = lroxios )
-               CALL iom_get( numror, jpdom_auto, 'avm_k', avm_k, ldxios = lroxios )
+               CALL iom_get( numror, jpdom_auto, 'avt_k', avt_k, ldxios = lrxios )
+               CALL iom_get( numror, jpdom_auto, 'avm_k', avm_k, ldxios = lrxios )
             ENDIF
-            IF( lroxios ) CALL iom_swap( TRIM(cxios_context) )
+            IF( lrxios ) CALL iom_swap( TRIM(cxios_context) )
          ENDIF
          !           !* otherwise Kz already set to the background value in zdf_phy_init
@@ -221,5 +221,5 @@
          !                                   ! -------------------
          IF(lwp) WRITE(numout,*) '---- ric-rst ----'
-         IF( lwxios ) CALL iom_swap(      cwxios_context          )
+         IF( lwxios ) CALL iom_swap(      cw_ocerst_cxt          )
          CALL iom_rstput( kt, nitrst, numrow, 'avt_k', avt_k, ldxios = lwxios )
          CALL iom_rstput( kt, nitrst, numrow, 'avm_k', avm_k, ldxios = lwxios)
Index: NEMO/branches/2020/dev_12905_xios_restart/src/OCE/ZDF/zdftke.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/OCE/ZDF/zdftke.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/OCE/ZDF/zdftke.F90	(revision 13871)
@@ -746,5 +746,5 @@
          !                                   ! ---------------
          IF( ln_rstart ) THEN                   !* Read the restart file
-            IF( lroxios ) CALL iom_swap( TRIM(crxios_context) )
+            IF( lrxios ) CALL iom_swap( TRIM(cr_ocerst_cxt) )
             id1 = iom_varid( numror, 'en'   , ldstop = .FALSE. )
             id2 = iom_varid( numror, 'avt_k', ldstop = .FALSE. )
@@ -753,8 +753,8 @@
             !
             IF( MIN( id1, id2, id3, id4 ) > 0 ) THEN      ! fields exist
-               CALL iom_get( numror, jpdom_auto, 'en'   , en   , ldxios = lroxios )
-               CALL iom_get( numror, jpdom_auto, 'avt_k', avt_k, ldxios = lroxios )
-               CALL iom_get( numror, jpdom_auto, 'avm_k', avm_k, ldxios = lroxios )
-               CALL iom_get( numror, jpdom_auto, 'dissl', dissl, ldxios = lroxios )
+               CALL iom_get( numror, jpdom_auto, 'en'   , en   , ldxios = lrxios )
+               CALL iom_get( numror, jpdom_auto, 'avt_k', avt_k, ldxios = lrxios )
+               CALL iom_get( numror, jpdom_auto, 'avm_k', avm_k, ldxios = lrxios )
+               CALL iom_get( numror, jpdom_auto, 'dissl', dissl, ldxios = lrxios )
             ELSE                                          ! start TKE from rest
                IF(lwp) WRITE(numout,*)
@@ -764,5 +764,5 @@
                ! avt_k, avm_k already set to the background value in zdf_phy_init
             ENDIF
-            IF( lroxios ) CALL iom_swap( TRIM(cxios_context) )
+            IF( lrxios ) CALL iom_swap( TRIM(cxios_context) )
          ELSE                                   !* Start from rest
             IF(lwp) WRITE(numout,*)
@@ -776,5 +776,5 @@
          !                                   ! -------------------
          IF(lwp) WRITE(numout,*) '---- tke_rst ----'
-         IF( lwxios ) CALL iom_swap(      cwxios_context          ) 
+         IF( lwxios ) CALL iom_swap(      cw_ocerst_cxt          ) 
          CALL iom_rstput( kt, nitrst, numrow, 'en'   , en   , ldxios = lwxios )
          CALL iom_rstput( kt, nitrst, numrow, 'avt_k', avt_k, ldxios = lwxios )
Index: NEMO/branches/2020/dev_12905_xios_restart/src/OCE/step.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/OCE/step.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/OCE/step.F90	(revision 13871)
@@ -125,18 +125,18 @@
       ENDIF
       IF((kstp == nitrst) .AND. lwxios) THEN
-         CALL iom_swap(      cwxios_context          )
-         CALL iom_init_closedef(cwxios_context)
-         CALL iom_setkt( kstp - nit000 + 1,      cwxios_context          )
+         CALL iom_swap(      cw_ocerst_cxt          )
+         CALL iom_init_closedef(cw_ocerst_cxt)
+         CALL iom_setkt( kstp - nit000 + 1,      cw_ocerst_cxt          )
 #if defined key_top
-         CALL iom_swap(      cwtxios_context          )
-         CALL iom_init_closedef(cwtxios_context)
-         CALL iom_setkt( kstp - nit000 + 1,      cwtxios_context          )
+         CALL iom_swap(      cw_toprst_cxt          )
+         CALL iom_init_closedef(cw_toprst_cxt)
+         CALL iom_setkt( kstp - nit000 + 1,      cw_toprst_cxt          )
 #endif
       ENDIF
 #if defined key_si3
       IF(((kstp + nn_fsbc - 1) == nitrst) .AND. lwxios) THEN
-         CALL iom_swap(      cwixios_context          )
-         CALL iom_init_closedef(cwixios_context)
-         CALL iom_setkt( kstp - nit000 + 1,      cwixios_context          )
+         CALL iom_swap(      cw_icerst_cxt          )
+         CALL iom_init_closedef(cw_icerst_cxt)
+         CALL iom_setkt( kstp - nit000 + 1,      cw_icerst_cxt          )
       ENDIF
 #endif
@@ -355,5 +355,5 @@
       IF( kstp == nit000 ) THEN                          ! 1st time step only
                                         CALL iom_close( numror )   ! close input  ocean restart file
-         IF( lroxios )                  CALL iom_context_finalize(      crxios_context         )
+         IF( lrxios )                  CALL iom_context_finalize(      cr_ocerst_cxt         )
          IF(lwm)                        CALL FLUSH    ( numond )   ! flush output namelist oce
          IF(lwm .AND. numoni /= -1 )    CALL FLUSH    ( numoni )   ! flush output namelist ice (if exist)
Index: NEMO/branches/2020/dev_12905_xios_restart/src/OCE/stpMLF.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/OCE/stpMLF.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/OCE/stpMLF.F90	(revision 13871)
@@ -364,5 +364,5 @@
       IF( kstp == nitend .OR. indic < 0 ) THEN
                       CALL iom_context_finalize(      cxios_context          ) ! needed for XIOS+AGRIF
-         IF(lrxios) CALL iom_context_finalize(      crxios_context          )
+         IF(lrxios) CALL iom_context_finalize(      cr_ocerst_cxt          )
          IF( ln_crs ) CALL iom_context_finalize( trim(cxios_context)//"_crs" ) !
       ENDIF
Index: NEMO/branches/2020/dev_12905_xios_restart/src/OFF/nemogcm.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/OFF/nemogcm.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/OFF/nemogcm.F90	(revision 13871)
@@ -127,7 +127,7 @@
          !
       IF((istp == nitrst) .AND. lwxios) THEN
-         CALL iom_swap(      cwtxios_context          )
-         CALL iom_init_closedef(cwtxios_context)
-         CALL iom_setkt( istp - nit000 + 1,      cwtxios_context          )
+         CALL iom_swap(      cw_toprst_cxt          )
+         CALL iom_init_closedef(cw_toprst_cxt)
+         CALL iom_setkt( istp - nit000 + 1,      cw_toprst_cxt          )
       ENDIF
 
Index: NEMO/branches/2020/dev_12905_xios_restart/src/SAS/step.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/SAS/step.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/SAS/step.F90	(revision 13871)
@@ -91,11 +91,11 @@
                              CALL iom_setkt( kstp - nit000 + 1, cxios_context )   ! tell iom we are at time step kstp
       IF((kstp == nitrst) .AND. lwxios) THEN
-         CALL iom_swap(      cwxios_context          )
-         CALL iom_init_closedef(cwxios_context)
-         CALL iom_setkt( kstp - nit000 + 1,      cwxios_context          )
+         CALL iom_swap(      cw_ocerst_cxt          )
+         CALL iom_init_closedef(cw_ocerst_cxt)
+         CALL iom_setkt( kstp - nit000 + 1,      cw_ocerst_cxt          )
 #if defined key_top
-         CALL iom_swap(      cwtxios_context          )
-         CALL iom_init_closedef(cwtxios_context)
-         CALL iom_setkt( kstp - nit000 + 1,      cwtxios_context          )
+         CALL iom_swap(      cw_toprst_cxt          )
+         CALL iom_init_closedef(cw_toprst_cxt)
+         CALL iom_setkt( kstp - nit000 + 1,      cw_toprst_cxt          )
 #endif
       ENDIF
@@ -104,7 +104,7 @@
 #if defined key_si3
       IF(((kstp + nn_fsbc - 1) == nitrst) .AND. lwxios) THEN
-         CALL iom_swap(      cwixios_context          )
-         CALL iom_init_closedef(cwixios_context)
-         CALL iom_setkt( kstp - nit000 + 1,      cwixios_context          )
+         CALL iom_swap(      cw_icerst_cxt          )
+         CALL iom_init_closedef(cw_icerst_cxt)
+         CALL iom_setkt( kstp - nit000 + 1,      cw_icerst_cxt          )
       ENDIF
 #endif
@@ -148,5 +148,5 @@
       IF( kstp == nit000   ) THEN
             CALL iom_close( numror )                          ! close input  ocean restart file
-            IF( lroxios )     CALL iom_context_finalize(      crxios_context      )
+            IF( lrxios )     CALL iom_context_finalize(      cr_ocerst_cxt      )
       ENDIF
       
@@ -161,5 +161,5 @@
             CALL iom_close( numrow )     
          ELSE
-            CALL iom_context_finalize( cwxios_context )
+            CALL iom_context_finalize( cw_ocerst_cxt )
          ENDIF
          lrst_oce = .FALSE.
Index: NEMO/branches/2020/dev_12905_xios_restart/src/SWE/domvvl.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/SWE/domvvl.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/SWE/domvvl.F90	(revision 13871)
@@ -1251,5 +1251,5 @@
          !                                   ! ===================
          IF(lwp) WRITE(numout,*) '---- dom_vvl_rst ----'
-         IF( lwxios ) CALL iom_swap(      cwxios_context          )
+         IF( lwxios ) CALL iom_swap(      cw_ocerst_cxt          )
          !                                           ! --------- !
          !                                           ! all cases !
Index: NEMO/branches/2020/dev_12905_xios_restart/src/SWE/step.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/SWE/step.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/SWE/step.F90	(revision 13871)
@@ -304,5 +304,5 @@
       IF( kstp == nitend .OR. indic < 0 ) THEN 
                       CALL iom_context_finalize(      cxios_context          ) ! needed for XIOS+AGRIF
-                      IF(lrxios) CALL iom_context_finalize(      crxios_context          )
+                      IF(lrxios) CALL iom_context_finalize(      cr_ocerst_cxt          )
       ENDIF
 #endif
Index: NEMO/branches/2020/dev_12905_xios_restart/src/SWE/stepLF.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/SWE/stepLF.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/SWE/stepLF.F90	(revision 13871)
@@ -318,5 +318,5 @@
       IF( kstp == nitend .OR. indic < 0 ) THEN 
                       CALL iom_context_finalize(      cxios_context          ) ! needed for XIOS+AGRIF
-                      IF(lrxios) CALL iom_context_finalize(      crxios_context          )
+                      IF(lrxios) CALL iom_context_finalize(      cr_ocerst_cxt          )
       ENDIF
 #endif
Index: NEMO/branches/2020/dev_12905_xios_restart/src/SWE/stpRK3.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/SWE/stpRK3.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/SWE/stpRK3.F90	(revision 13871)
@@ -361,5 +361,5 @@
       IF( kstp == nitend .OR. indic < 0 ) THEN 
                       CALL iom_context_finalize(      cxios_context          ) ! needed for XIOS+AGRIF
-                      IF(lrxios) CALL iom_context_finalize(      crxios_context          )
+                      IF(lrxios) CALL iom_context_finalize(      cr_ocerst_cxt          )
       ENDIF
 #endif
Index: NEMO/branches/2020/dev_12905_xios_restart/src/TOP/C14/trcini_c14.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/TOP/C14/trcini_c14.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/TOP/C14/trcini_c14.F90	(revision 13871)
@@ -68,11 +68,11 @@
         IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
         ! 
-        IF(lrtxios) CALL iom_swap(crtxios_context)
-        CALL iom_get( numrtr, 'co2sbc', co2sbc, ldxios = lrtxios ) 
-        CALL iom_get( numrtr, jpdom_auto, 'c14sbc', c14sbc, ldxios = lrtxios ) 
-        CALL iom_get( numrtr, jpdom_auto, 'exch_co2', exch_co2, ldxios = lrtxios ) 
-        CALL iom_get( numrtr, jpdom_auto, 'exch_c14', exch_c14, ldxios = lrtxios ) 
-        CALL iom_get( numrtr, jpdom_auto, 'qtr_c14', qtr_c14, ldxios = lrtxios )
-        IF(lrtxios) CALL iom_swap(cxios_context)
+        IF(lrxios) CALL iom_swap(cr_toprst_cxt)
+        CALL iom_get( numrtr, 'co2sbc', co2sbc, ldxios = lrxios ) 
+        CALL iom_get( numrtr, jpdom_auto, 'c14sbc', c14sbc, ldxios = lrxios ) 
+        CALL iom_get( numrtr, jpdom_auto, 'exch_co2', exch_co2, ldxios = lrxios ) 
+        CALL iom_get( numrtr, jpdom_auto, 'exch_c14', exch_c14, ldxios = lrxios ) 
+        CALL iom_get( numrtr, jpdom_auto, 'qtr_c14', qtr_c14, ldxios = lrxios )
+        IF(lrxios) CALL iom_swap(cxios_context)
         !
       END IF
@@ -87,7 +87,7 @@
       ELSE
         !
-        IF(lrtxios) CALL iom_swap(crtxios_context)
-        CALL iom_get( numrtr, jpdom_auto, 'qint_c14', qint_c14, ldxios = lrtxios ) 
-        IF(lrtxios) CALL iom_swap(cxios_context)
+        IF(lrxios) CALL iom_swap(cr_toprst_cxt)
+        CALL iom_get( numrtr, jpdom_auto, 'qint_c14', qint_c14, ldxios = lrxios ) 
+        IF(lrxios) CALL iom_swap(cxios_context)
         !
       ENDIF
Index: NEMO/branches/2020/dev_12905_xios_restart/src/TOP/C14/trcsms_c14.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/TOP/C14/trcsms_c14.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/TOP/C14/trcsms_c14.F90	(revision 13871)
@@ -144,5 +144,5 @@
          IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
          !
-         IF( lwxios ) CALL iom_swap(      cwtxios_context         )
+         IF( lwxios ) CALL iom_swap(      cw_toprst_cxt         )
          CALL iom_rstput( kt, nitrst, numrtw, 'co2sbc', co2sbc,     ldxios = lwxios ) ! These five need      &
          CALL iom_rstput( kt, nitrst, numrtw, 'c14sbc', c14sbc,     ldxios = lwxios ) ! &    to be written   &
Index: NEMO/branches/2020/dev_12905_xios_restart/src/TOP/CFC/trcsms_cfc.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/TOP/CFC/trcsms_cfc.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/TOP/CFC/trcsms_cfc.F90	(revision 13871)
@@ -179,5 +179,5 @@
          IF(lwp) WRITE(numout,*) '~~~~'
          jl = 0
-         IF( lwxios ) CALL iom_swap(      cwtxios_context         )
+         IF( lwxios ) CALL iom_swap(      cw_toprst_cxt         )
          DO jn = jp_cfc0, jp_cfc1
              jl = jl + 1
@@ -298,10 +298,10 @@
          !
          jl = 0
-         IF(lrtxios) CALL iom_swap(crtxios_context)
+         IF(lrxios) CALL iom_swap(cr_toprst_cxt)
          DO jn = jp_cfc0, jp_cfc1
             jl = jl + 1
-            CALL iom_get( numrtr, jpdom_auto, 'qint_'//ctrcnm(jn), qint_cfc(:,:,jl), ldxios = lrtxios ) 
+            CALL iom_get( numrtr, jpdom_auto, 'qint_'//ctrcnm(jn), qint_cfc(:,:,jl), ldxios = lrxios ) 
          END DO
-         IF(lrtxios) CALL iom_swap(cxios_context)
+         IF(lrxios) CALL iom_swap(cxios_context)
       ENDIF
       IF(lwp) WRITE(numout,*)
Index: NEMO/branches/2020/dev_12905_xios_restart/src/TOP/PISCES/P2Z/p2zexp.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/TOP/PISCES/P2Z/p2zexp.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/TOP/PISCES/P2Z/p2zexp.F90	(revision 13871)
@@ -134,5 +134,5 @@
             &                    'at it= ', kt,' date= ', ndastp
          IF(lwp) WRITE(numout,*) '~~~~'
-         IF( lwxios ) CALL iom_swap(      cwtxios_context         )
+         IF( lwxios ) CALL iom_swap(      cw_toprst_cxt         )
          CALL iom_rstput( kt, nitrst, numrtw, 'SEDB'//ctrcnm(jpdet), sedpocb(:,:), ldxios = lwxios )
          CALL iom_rstput( kt, nitrst, numrtw, 'SEDN'//ctrcnm(jpdet), sedpocn(:,:), ldxios = lwxios )
@@ -216,8 +216,8 @@
       !
       IF( ln_rsttr ) THEN
-         IF(lrtxios) CALL iom_swap(crtxios_context)
-         CALL iom_get( numrtr, jpdom_auto, 'SEDB'//ctrcnm(jpdet), sedpocb(:,:), ldxios = lrtxios )
-         CALL iom_get( numrtr, jpdom_auto, 'SEDN'//ctrcnm(jpdet), sedpocn(:,:), ldxios = lrtxios )
-         IF(lrtxios) CALL iom_swap(cxios_context)
+         IF(lrxios) CALL iom_swap(cr_toprst_cxt)
+         CALL iom_get( numrtr, jpdom_auto, 'SEDB'//ctrcnm(jpdet), sedpocb(:,:), ldxios = lrxios )
+         CALL iom_get( numrtr, jpdom_auto, 'SEDN'//ctrcnm(jpdet), sedpocn(:,:), ldxios = lrxios )
+         IF(lrxios) CALL iom_swap(cxios_context)
       ELSE
          sedpocb(:,:) = 0._wp
Index: NEMO/branches/2020/dev_12905_xios_restart/src/TOP/PISCES/P4Z/p4zsms.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/TOP/PISCES/P4Z/p4zsms.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/TOP/PISCES/P4Z/p4zsms.F90	(revision 13871)
@@ -332,14 +332,14 @@
          IF(lwp) WRITE(numout,*) ' ~~~~~~~~~~~~~~'
          ! 
-         IF(lrtxios) CALL iom_swap(crtxios_context)
+         IF(lrxios) CALL iom_swap(cr_toprst_cxt)
          IF( iom_varid( numrtr, 'PH', ldstop = .FALSE. ) > 0 ) THEN
-            CALL iom_get( numrtr, jpdom_auto, 'PH' , hi(:,:,:), ldxios = lrtxios  )
+            CALL iom_get( numrtr, jpdom_auto, 'PH' , hi(:,:,:), ldxios = lrxios  )
          ELSE
             CALL p4z_che( Kbb, Kmm )                  ! initialize the chemical constants
             CALL ahini_for_at( hi, Kbb )
          ENDIF
-         CALL iom_get( numrtr, jpdom_auto, 'Silicalim', xksi(:,:), ldxios = lrtxios )
+         CALL iom_get( numrtr, jpdom_auto, 'Silicalim', xksi(:,:), ldxios = lrxios )
          IF( iom_varid( numrtr, 'Silicamax', ldstop = .FALSE. ) > 0 ) THEN
-            CALL iom_get( numrtr, jpdom_auto, 'Silicamax' , xksimax(:,:), ldxios = lrtxios  )
+            CALL iom_get( numrtr, jpdom_auto, 'Silicamax' , xksimax(:,:), ldxios = lrxios  )
          ELSE
             xksimax(:,:) = xksi(:,:)
@@ -347,5 +347,5 @@
          !
          IF( iom_varid( numrtr, 'tcflxcum', ldstop = .FALSE. ) > 0 ) THEN  ! cumulative total flux of carbon
-            CALL iom_get( numrtr, 'tcflxcum' , t_oce_co2_flx_cum, ldxios = lrtxios  )
+            CALL iom_get( numrtr, 'tcflxcum' , t_oce_co2_flx_cum, ldxios = lrxios  )
          ELSE
             t_oce_co2_flx_cum = 0._wp
@@ -354,7 +354,7 @@
          IF( ln_p5z ) THEN
             IF( iom_varid( numrtr, 'sized', ldstop = .FALSE. ) > 0 ) THEN
-               CALL iom_get( numrtr, jpdom_auto, 'sizep' , sizep(:,:,:), ldxios = lrtxios  )
-               CALL iom_get( numrtr, jpdom_auto, 'sizen' , sizen(:,:,:), ldxios = lrtxios  )
-               CALL iom_get( numrtr, jpdom_auto, 'sized' , sized(:,:,:), ldxios = lrtxios  )
+               CALL iom_get( numrtr, jpdom_auto, 'sizep' , sizep(:,:,:), ldxios = lrxios  )
+               CALL iom_get( numrtr, jpdom_auto, 'sizen' , sizen(:,:,:), ldxios = lrxios  )
+               CALL iom_get( numrtr, jpdom_auto, 'sized' , sized(:,:,:), ldxios = lrxios  )
             ELSE
                sizep(:,:,:) = 1.
@@ -363,5 +363,5 @@
             ENDIF
         ENDIF
-        IF(lrtxios) CALL iom_swap(cxios_context)
+        IF(lrxios) CALL iom_swap(cxios_context)
         !
       ELSEIF( TRIM(cdrw) == 'WRITE' ) THEN
@@ -371,5 +371,5 @@
             IF(lwp) WRITE(numout,*) '~~~~~~~'
          ENDIF
-         IF( lwxios ) CALL iom_swap(      cwtxios_context         )
+         IF( lwxios ) CALL iom_swap(      cw_toprst_cxt         )
          CALL iom_rstput( kt, nitrst, numrtw, 'PH', hi(:,:,:),               ldxios = lwxios )
          CALL iom_rstput( kt, nitrst, numrtw, 'Silicalim', xksi(:,:),        ldxios = lwxios )
Index: NEMO/branches/2020/dev_12905_xios_restart/src/TOP/PISCES/SED/sed.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/TOP/PISCES/SED/sed.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/TOP/PISCES/SED/sed.F90	(revision 13871)
@@ -53,5 +53,4 @@
    INTEGER             , PUBLIC   ::  nn_rstsed      !: control of the time step ( 0 or 1 ) for pass. tr.
    INTEGER , PUBLIC               ::  nn_dtsed = 1   !: frequency of step on passive tracers
-   LOGICAL,  PUBLIC               ::  lrsxios        !: use xios to read restart
    CHARACTER(len = 80) , PUBLIC   ::  cn_sedrst_in   !: suffix of pass. tracer restart name (input)
    CHARACTER(len = 256), PUBLIC   ::  cn_sedrst_indir  !: restart input directory
Index: NEMO/branches/2020/dev_12905_xios_restart/src/TOP/PISCES/SED/sedrst.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/TOP/PISCES/SED/sedrst.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/TOP/PISCES/SED/sedrst.F90	(revision 13871)
@@ -85,5 +85,5 @@
          ELSE
 #if defined key_iomput
-            cwsxios_context = "rstws_"//TRIM(ADJUSTL(clkt))
+            cw_sedrst_cxt = "rstws_"//TRIM(ADJUSTL(clkt))
             IF( TRIM(Agrif_CFixed()) == '0' ) THEN
                clpname = clname
@@ -91,5 +91,5 @@
                clpname = TRIM(Agrif_CFixed())//"_"//clname
             ENDIF
-            CALL iom_init( cwsxios_context, fname = TRIM(clpath)//TRIM(clpname), ld_closedef = .FALSE. )
+            CALL iom_init( cw_sedrst_cxt, fname = TRIM(clpath)//TRIM(clpname), ld_closedef = .FALSE. )
             CALL iom_swap(      cxios_context          )
 #else
@@ -138,9 +138,9 @@
       zdta2 = 0.
 
-      IF(lrsxios) CALL iom_swap(crsxios_context)
+      IF(lrxios) CALL iom_swap(cr_sedrst_cxt)
       DO jn = 1, jptrased
          cltra = TRIM(sedtrcd(jn))
          IF( iom_varid( numrsr, TRIM(cltra) , ldstop = .FALSE. ) > 0 ) THEN
-            CALL iom_get( numrsr, jpdom_auto, TRIM(cltra), zdta(:,:,:,jn), ldxios = lrsxios )
+            CALL iom_get( numrsr, jpdom_auto, TRIM(cltra), zdta(:,:,:,jn), ldxios = lrxios )
          ELSE
             zdta(:,:,:,jn) = 0.0
@@ -161,5 +161,5 @@
          cltra = TRIM(seddia3d(jn))
          IF( iom_varid( numrsr, TRIM(cltra) , ldstop = .FALSE. ) > 0 ) THEN
-            CALL iom_get( numrsr, jpdom_auto, TRIM(cltra), zdta1(:,:,:,jn), ldxios = lrsxios )
+            CALL iom_get( numrsr, jpdom_auto, TRIM(cltra), zdta1(:,:,:,jn), ldxios = lrxios )
          ELSE
             zdta1(:,:,:,jn) = 0.0
@@ -188,5 +188,5 @@
       cltra = "dbioturb"
       IF( iom_varid( numrsr, TRIM(cltra) , ldstop = .FALSE. ) > 0 ) THEN
-         CALL iom_get( numrsr, jpdom_auto, TRIM(cltra), zdta2(:,:,:), ldxios = lrsxios )
+         CALL iom_get( numrsr, jpdom_auto, TRIM(cltra), zdta2(:,:,:), ldxios = lrxios )
       ELSE
          zdta2(:,:,:) = 0.0
@@ -198,5 +198,5 @@
       cltra = "irrig"
       IF( iom_varid( numrsr, TRIM(cltra) , ldstop = .FALSE. ) > 0 ) THEN
-         CALL iom_get( numrsr, jpdom_auto, TRIM(cltra), zdta2(:,:,:), ldxios = lrsxios )
+         CALL iom_get( numrsr, jpdom_auto, TRIM(cltra), zdta2(:,:,:), ldxios = lrxios )
       ELSE
          zdta2(:,:,:) = 0.0
@@ -208,5 +208,5 @@
       cltra = "sedligand"
       IF( iom_varid( numrsr, TRIM(cltra) , ldstop = .FALSE. ) > 0 ) THEN
-         CALL iom_get( numrsr, jpdom_auto, TRIM(cltra), zdta2(:,:,:), ldxios = lrsxios )
+         CALL iom_get( numrsr, jpdom_auto, TRIM(cltra), zdta2(:,:,:), ldxios = lrxios )
       ELSE
          zdta2(:,:,:) = 0.0
@@ -215,5 +215,5 @@
       CALL pack_arr( jpoce, sedligand(1:jpoce,1:jpksed), &
          &             zdta2(1:jpi,1:jpj,1:jpksed), iarroce(1:jpoce) )
-      IF(lrsxios) CALL iom_swap(cxios_context)
+      IF(lrxios) CALL iom_swap(cxios_context)
       IF( ln_timing )  CALL timing_stop('sed_rst_read')
      
@@ -259,5 +259,5 @@
       !! 1. WRITE in nutwrs
       !! ------------------
-      IF( lwxios ) CALL iom_swap(      cwsxios_context         )
+      IF( lwxios ) CALL iom_swap(      cw_sedrst_cxt         )
 !     zinfo(1) = REAL( kt)
       CALL iom_rstput( kt, nitrst, numrsw, 'kt', REAL( kt    , wp), ldxios = lwxios )
@@ -322,5 +322,5 @@
              CALL iom_close( numrsw )     ! close the restart file (only at last time step)
           ELSE
-             CALL iom_context_finalize( cwsxios_context ) 
+             CALL iom_context_finalize( cw_sedrst_cxt ) 
           ENDIF
           IF( l_offline .AND. ln_rst_list ) THEN
@@ -381,7 +381,6 @@
             CALL iom_open( TRIM(cn_sedrst_indir)//'/'//cn_sedrst_in, numrsr )
 
-            lrsxios = lrxios.AND.lxios_sini
-            IF( lrsxios) THEN
-                crsxios_context = 'sed_rst'
+            IF( lrxios) THEN
+                cr_sedrst_cxt = 'sed_rst'
                 IF(lwp) WRITE(numout,*) 'Enable restart reading by XIOS for SED'
                 IF( TRIM(Agrif_CFixed()) == '0' ) THEN
@@ -390,10 +389,10 @@
                    clpname = TRIM(Agrif_CFixed())//"_"//cn_sedrst_in   
                 ENDIF
-                CALL iom_init( crsxios_context, fname = TRIM(cn_sedrst_indir)//'/'//TRIM(clpname), &
+                CALL iom_init( cr_sedrst_cxt, fname = TRIM(cn_sedrst_indir)//'/'//TRIM(clpname), &
                                                 idfp = iom_file(numrsr)%nfid, ld_closedef = .TRUE. )
             ENDIF
-            IF(lrsxios) CALL iom_swap(crsxios_context)
-            CALL iom_get ( numrsr, 'kt', zkt, ldxios = lrsxios )   ! last time-step of previous run
-            IF(lrsxios) CALL iom_swap(cxios_context)
+            IF(lrxios) CALL iom_swap(cr_sedrst_cxt)
+            CALL iom_get ( numrsr, 'kt', zkt, ldxios = lrxios )   ! last time-step of previous run
+            IF(lrxios) CALL iom_swap(cxios_context)
             IF(lwp) THEN
                WRITE(numsed,*) ' *** Info read in restart : '
@@ -416,9 +415,9 @@
             !                                          ! set the date in offline mode
             IF( ln_rst_sed .AND. nn_rstsed == 2 ) THEN
-               IF(lrsxios) CALL iom_swap(crsxios_context)
-               CALL iom_get( numrsr, 'ndastp', zndastp, ldxios = lrsxios )
+               IF(lrxios) CALL iom_swap(cr_sedrst_cxt)
+               CALL iom_get( numrsr, 'ndastp', zndastp, ldxios = lrxios )
                ndastp = NINT( zndastp )
-               CALL iom_get( numrsr, 'adatrj', adatrj, ldxios = lrsxios  )
-               IF(lrsxios) CALL iom_swap(crxios_context)
+               CALL iom_get( numrsr, 'adatrj', adatrj, ldxios = lrxios  )
+               IF(lrxios) CALL iom_swap(cr_ocerst_cxt)
              ELSE
                ndastp = ndate0 - 1     ! ndate0 read in the namelist in dom_nam
@@ -444,7 +443,7 @@
             IF(lwp) WRITE(numsed,*) 'trc_wri : write the TOP restart file (NetCDF) at it= ', kt, ' date= ', ndastp
             IF(lwp) WRITE(numsed,*) '~~~~~~~'
-            IF( lwxios ) CALL iom_init_closedef(cwsxios_context)
-         ENDIF
-         IF( lwxios ) CALL iom_swap(      cwsxios_context         )
+            IF( lwxios ) CALL iom_init_closedef(cw_sedrst_cxt)
+         ENDIF
+         IF( lwxios ) CALL iom_swap(      cw_sedrst_cxt         )
          CALL iom_rstput( kt, nitrst, numrsw, 'kt'     , REAL( kt    , wp), ldxios = lwxios )   ! time-step
          CALL iom_rstput( kt, nitrst, numrsw, 'ndastp' , REAL( ndastp, wp), ldxios = lwxios )   ! date
Index: NEMO/branches/2020/dev_12905_xios_restart/src/TOP/PISCES/SED/sedstp.F90
===================================================================
--- NEMO/branches/2020/dev_12905_xios_restart/src/TOP/PISCES/SED/sedstp.F90	(revision 13750)
+++ NEMO/branches/2020/dev_12905_xios_restart/src/TOP/PISCES/SED/sedstp.F90	(revision 13871)
@@ -86,5 +86,5 @@
       IF( kt == nitsed000 ) THEN
           CALL iom_close( numrsr )       ! close input tracer restart file
-          IF(lrsxios) CALL iom_context_finalize(      crsxios_context  )
+          IF(lrxios) CALL iom_context_finalize(      cr_sedrst_cxt  )
 !          IF(lwm) CALL FLUSH( numont )   ! flush namelist output
       ENDIF
